// -----------------------------------------------------------------------
// Copyright: Dale Schinstock, 2013
//------------------------------------------------------------------------

#ifndef GloLink_H
#define GloLink_H

#include <stdint.h>
#include "gloObjects.h"

class GloLink
{
  public:
    //constructor
    explicit GloLink();

    //destructor
    virtual ~GloLink();

    //methods
    uint8_t checkForObjects(void);
    uint16_t sendObject(uint8_t objID, uint16_t instance);
    
    //properties
    uint32_t numReceived, numSent, numSentFailed;

  private:
    uint8_t sendBuff[264]; //size = 255(obj size) +3(start) +1(objID) +2(instance) +1(numBytes) +2(end bytes)

};

extern GloLink gloLink;

#endif  //GloLink

